openhtj2k::RoiShiftOpenHTJ2KFilter< T > Class Template Reference

`#include <PostT1DecompressFiltersOpenHTJ2K.h>`

## Public Member Functions

| RoiShiftOpenHTJ2KFilter (grk::DecompressBlockExec *block)
void | copy (T *dest, T *src, uint32_t len)

## Private Attributes

uint32_t | roiShift
uint32_t | shift

## Constructor & Destructor Documentation

## RoiShiftOpenHTJ2KFilter()

template<typename T >

openhtj2k::RoiShiftOpenHTJ2KFilter< T >::RoiShiftOpenHTJ2KFilter | ( | grk::DecompressBlockExec * | block | ) |

inline

## Member Function Documentation

## copy()

template<typename T >

void openhtj2k::RoiShiftOpenHTJ2KFilter< T >::copy | ( | T * | dest,
|  | T * | src,
|  | uint32_t | len
| ) |  |

inline

References openhtj2k::RoiShiftOpenHTJ2KFilter< T >::roiShift, and openhtj2k::RoiShiftOpenHTJ2KFilter< T >::shift.

## Member Data Documentation

## roiShift

template<typename T >

uint32_t openhtj2k::RoiShiftOpenHTJ2KFilter< T >::roiShift

private

Referenced by openhtj2k::RoiShiftOpenHTJ2KFilter< T >::copy().

## shift

template<typename T >

uint32_t openhtj2k::RoiShiftOpenHTJ2KFilter< T >::shift

private

Referenced by openhtj2k::RoiShiftOpenHTJ2KFilter< T >::copy().

The documentation for this class was generated from the following file:

- PostT1DecompressFiltersOpenHTJ2K.h